--- p10 is some entity flag check, also used in `IS_ENTITY_AT_ENTITY`, `IS_ENTITY_IN_AREA`, and `IS_ENTITY_AT_COORD`.
-- See [IS_POINT_IN_ANGLED_AREA](#\_0x2A70BAE8883E4C81) for the definition of an angled area.
-- @param x1 X dimension of the angled area 'origin'
-- @param y1 Y dimension of the angled area 'origin'
-- @param z1 Z dimension of the angled area 'origin'
-- @param x2 X dimension of the angled area 'extent'
-- @param y2 Y dimension of the angled area 'extent'
-- @param z2 Z dimension of the angled area 'extent'
-- @param width Width of the angled area
-- @param p8 a debug flag invoking functions in the same path as `DRAW_MARKER`
-- @param includez If true, include the Z dimension when doing the height check; otherwise the query becomes two-dimensional
function Global.IsEntityInAngledArea(entity, x1, y1, z1, x2, y2, z2, width, p8, includez, p10)
	return _in(0x51210CED3DA1C78A, entity, x1, y1, z1, x2, y2, z2, width, p8, includez, p10, _r)
end
