--- Will make the ped move to a coordinate while aiming (and optionally shooting) at given coordinates.
-- @param ped Ped to task
-- @param x Destination X position
-- @param y Destination Y position
-- @param z Destination Z position
-- @param aimAtX Aim at target x position
-- @param aimAtY Aim at target Y position
-- @param aimAtZ Aim at target Z position
-- @param moveSpeed mostly 2f, but also 1/1.2f, etc.
-- @param shoot If true ped will shoot; false - will not
-- @param p9 Usually 2.0f
-- @param p10 Usually 0.5f
-- @param p11 If true ped will stay still; false - will not
-- @param flags 0 / 512 / 513, etc
-- @param firingPattern ${firing_pattern_full_auto}, 0xC6EE6B4C
function Global.TaskGoToCoordWhileAimingAtCoord(ped, x, y, z, aimAtX, aimAtY, aimAtZ, moveSpeed, shoot, p9, p10, p11, flags, p13, firingPattern)
	return _in(0x11315AB3385B8AC0, ped, x, y, z, aimAtX, aimAtY, aimAtZ, moveSpeed, shoot, p9, p10, p11, flags, p13, _ch(firingPattern))
end
