--- This native sets the entity's alpha level.
-- The skin parameter is actually a BOOL, but can't be changed due to backwards compatibility issues for C# scripts.
-- @param entity The entity to change the alpha for.
-- @param alphaLevel The alpha level ranges from 0 to 255, but changes occur every 20% (every 51).
-- @param skin Whether or not to change the alpha of the entity's skin.
function Global.SetEntityAlpha(entity, alphaLevel, skin)
	return _in(0x44A0870B7E92D7C0, entity, alphaLevel, skin)
end
